Support Questions
Find answers, ask questions, and share your expertise

Unable to start Ambari-agent

Highlighted

Unable to start Ambari-agent

Explorer

To fix the heartbeat issue on the server, trying to restart the ambari-agent. Getting an error when starting the ambari-agent on the server.

Verifying Python version compatibility...
Using python  /usr/bin/python2.7
Checking for previously running Ambari Agent...
/var/run/ambari-agent/ambari-agent.pid found with no process. Removing 14377...
Starting ambari-agent
Verifying ambari-agent process status...
ERROR: ambari-agent start failed. For more details, see /var/log/ambari-agent/ambari-agent.out:
====================
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/ambari_agent/main.py", line 312, in <module>
    main(heartbeat_stop_callback)
  File "/usr/lib/python2.6/site-packages/ambari_agent/main.py", line 299, in main
    controller = Controller(config, heartbeat_stop_callback)
  File "/usr/lib/python2.6/site-packages/ambari_agent/Controller.py", line 63, in __init__
    self.version = self.read_agent_version(config)
  File "/usr/lib/python2.6/site-packages/ambari_agent/Controller.py", line 114, in read_agent_version
    f = open(ver_file, "r")
IOError: [Errno 2] No such file or directory: '/var/lib/ambari-agent/data/version'
====================
Agent out at: /var/log/ambari-agent/ambari-agent.out
Agent log at: /var/log/ambari-agent/ambari-agent.log
2 REPLIES 2
Highlighted

Re: Unable to start Ambari-agent

@Kiran Bollam, it looks like you are using Python-2.7: "Using python /usr/bin/python2.7..." which still doesn't work well with Ambari, and the docs specifically say that 2.6 is required, and 2.7.9+ not supported. Can you switch to Python-2.6.

Highlighted

Re: Unable to start Ambari-agent

Explorer

@Predrag Minovic

It is still using the site packages from 2.6. We have one more cluster, and the other cluster is working fine with the same configuration. It is complaining that the file is missing

/var/lib/ambari-agent/data/version

When i checked in the other cluster the file had 2.1.2 in the file which is the Ambari version.

Thanks

Kiran

Don't have an account?